# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'acpi.ui'
#
# Created: mer avr 12 19:45:55 2006
#      by: The PyQt User Interface Compiler (pyuic) 3.14.1
#
# WARNING! All changes made in this file will be lost!


from qt import *


class Page(QWidget):
    def __init__(self, parent, conf):
        QWidget.__init__(self,parent)

        self.setMinimumSize(QSize(400,350))

        PageLayout = QVBoxLayout(self,0,5,"PageLayout")

        self.title = QLabel(self,"title")
        self.title.setSizePolicy(QSizePolicy(QSizePolicy.Expanding,QSizePolicy.Fixed,0,0,self.title.sizePolicy().hasHeightForWidth()))
        self.title.setMinimumSize(QSize(150,30))
        title_font = QFont(self.title.font())
        title_font.setPointSize(14)
        self.title.setFont(title_font)
        PageLayout.addWidget(self.title)

        layout2 = QHBoxLayout(None,0,6,"layout2")

        self.label = QLabel(self,"label")
        self.label.setSizePolicy(QSizePolicy(QSizePolicy.Expanding,QSizePolicy.Preferred,0,0,self.label.sizePolicy().hasHeightForWidth()))
        self.label.setMinimumSize(QSize(240,24))
        self.label.setMaximumSize(QSize(32767,24))
        layout2.addWidget(self.label)

        self.spinBox = QSpinBox(self,"spinBox")
        self.spinBox.setMinimumSize(QSize(50,24))
        self.spinBox.setMaximumSize(QSize(100,24))
        self.spinBox.setMaxValue(3600)
        self.spinBox.setMinValue(1)
        layout2.addWidget(self.spinBox)
        PageLayout.addLayout(layout2)
        self.spinBox.setValue(conf["batt_interval"])

        self.label1 = QLabel(self,"label1")
        self.label1.setMinimumSize(QSize(350,24))
        self.label1.setMaximumSize(QSize(32767,24))
        PageLayout.addWidget(self.label1)

        layout3 = QHBoxLayout(None,0,6,"layout3")

        self.lineEdit1 = QLineEdit(self,"lineEdit1")
        self.lineEdit1.setMinimumSize(QSize(350,24))
        self.lineEdit1.setMaximumSize(QSize(32767,24))
        layout3.addWidget(self.lineEdit1)
        self.lineEdit1.setText(conf["acdc_stateDir"])

        self.button1 = QPushButton(self,"button1")
        self.button1.setSizePolicy(QSizePolicy(QSizePolicy.Fixed,QSizePolicy.Fixed,0,0,self.button1.sizePolicy().hasHeightForWidth()))
        self.button1.setMinimumSize(QSize(24,24))
        self.button1.setMaximumSize(QSize(24,24))
        layout3.addWidget(self.button1)
        PageLayout.addLayout(layout3)
        img = QImage(conf["kde_iconPath"] + '22x22/actions/fileopen.png')
        img_pixmap = QPixmap(img)
        self.button1.setPixmap(img_pixmap)
        self.connect(self.button1, SIGNAL("released()"), self.button1Clicked)

        self.label2 = QLabel(self,"label2")
        self.label2.setMinimumSize(QSize(350,24))
        self.label2.setMaximumSize(QSize(32767,24))
        PageLayout.addWidget(self.label2)

        layout3_2 = QHBoxLayout(None,0,6,"layout3_2")

        self.lineEdit2 = QLineEdit(self,"lineEdit2")
        self.lineEdit2.setMinimumSize(QSize(350,24))
        self.lineEdit2.setMaximumSize(QSize(32767,24))
        layout3_2.addWidget(self.lineEdit2)
        self.lineEdit2.setText(conf["batt_stateDir"])

        self.button2 = QPushButton(self,"button2")
        self.button2.setSizePolicy(QSizePolicy(QSizePolicy.Fixed,QSizePolicy.Fixed,0,0,self.button2.sizePolicy().hasHeightForWidth()))
        self.button2.setMinimumSize(QSize(24,24))
        self.button2.setMaximumSize(QSize(24,24))
        layout3_2.addWidget(self.button2)
        PageLayout.addLayout(layout3_2)
        self.button2.setPixmap(img_pixmap)
        self.connect(self.button2, SIGNAL("released()"), self.button2Clicked)
        
        spacer = QSpacerItem(380,140,QSizePolicy.Minimum,QSizePolicy.Expanding)
        PageLayout.addItem(spacer)

        self.languageChange()

        self.resize(QSize(400,350).expandedTo(self.minimumSizeHint()))
        self.clearWState(Qt.WState_Polished)
    
    def button1Clicked(self):
        acDir = QFileDialog.getExistingDirectory("/proc/acpi/ac_adapter", self, "ACDir", 'Select your "AC" directory (or "AC0", "ACAD")', True, True)
        self.lineEdit1.setText(acDir)
    
    def button2Clicked(self):
        battDir = QFileDialog.getExistingDirectory("/proc/acpi/battery", self, "BATTDir", 'Select your "BAT" directory', True, True)
        self.lineEdit2.setText(battDir)
    
    def buildParam(self):
        self.param = {}
        self.param["acdc_stateDir"] = str(self.lineEdit1.text())
        self.param["batt_stateDir"] = str(self.lineEdit2.text())
        self.param["batt_interval"] = self.spinBox.value()


    def languageChange(self):
        self.setCaption(self.__tr("battery"))
        self.title.setText(self.__tr("Battery (acpi)"))
        self.label.setText(self.__tr("Battery load and ACPI state update interval (sec) :"))
        self.label1.setText(self.__tr("\"AC\" directory (default: \"/proc/acpi/ac_adapter/ACAD\") :"))
        self.button1.setText(QString.null)
        self.button1.setAccel(QString.null)
        self.label2.setText(self.__tr("\"battery\" directory (default: \"/proc/acpi/battery/BAT1\") :"))
        self.button2.setText(QString.null)
        self.button2.setAccel(QString.null)


    def __tr(self,s,c = None):
        return qApp.translate("Page",s,c)
