# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'cpu_mem.ui'
#
# Created: mer avr 12 19:56:06 2006
#      by: The PyQt User Interface Compiler (pyuic) 3.14.1
#
# WARNING! All changes made in this file will be lost!


from qt import *


class Page(QWidget):
    def __init__(self, parent, conf):
        QWidget.__init__(self,parent)

        self.setMinimumSize(QSize(400,350))

        PageLayout = QVBoxLayout(self,0,5,"PageLayout")

        self.title = QLabel(self,"title")
        self.title.setSizePolicy(QSizePolicy(QSizePolicy.Expanding,QSizePolicy.Fixed,0,0,self.title.sizePolicy().hasHeightForWidth()))
        self.title.setMinimumSize(QSize(150,30))
        title_font = QFont(self.title.font())
        title_font.setPointSize(14)
        self.title.setFont(title_font)
        PageLayout.addWidget(self.title)

        layout2 = QHBoxLayout(None,0,6,"layout2")

        self.label0 = QLabel(self,"label0")
        self.label0.setSizePolicy(QSizePolicy(QSizePolicy.Expanding,QSizePolicy.Preferred,0,0,self.label0.sizePolicy().hasHeightForWidth()))
        self.label0.setMinimumSize(QSize(240,24))
        self.label0.setMaximumSize(QSize(32767,24))
        layout2.addWidget(self.label0)

        self.spinBox = QSpinBox(self,"spinBox")
        self.spinBox.setMinimumSize(QSize(50,24))
        self.spinBox.setMaximumSize(QSize(100,24))
        self.spinBox.setMaxValue(3600)
        self.spinBox.setMinValue(1)
        layout2.addWidget(self.spinBox)
        PageLayout.addLayout(layout2)
        self.spinBox.setValue(conf["cpu_interval"])

        self.label1 = QLabel(self,"label1")
        self.label1.setMinimumSize(QSize(350,24))
        self.label1.setMaximumSize(QSize(32767,48))
        self.label1.setTextFormat(QLabel.AutoText)
        PageLayout.addWidget(self.label1)

        layout3 = QHBoxLayout(None,0,6,"layout3")

        self.lineEdit = QLineEdit(self,"lineEdit")
        self.lineEdit.setMinimumSize(QSize(350,24))
        self.lineEdit.setMaximumSize(QSize(32767,24))
        layout3.addWidget(self.lineEdit)
        self.lineEdit.setText(conf["cpu_tempFile"])

        self.button = QPushButton(self,"button")
        self.button.setSizePolicy(QSizePolicy(QSizePolicy.Fixed,QSizePolicy.Fixed,0,0,self.button.sizePolicy().hasHeightForWidth()))
        self.button.setMinimumSize(QSize(24,24))
        self.button.setMaximumSize(QSize(24,24))
        img = QImage(conf["kde_iconPath"] + '22x22/actions/fileopen.png')
        img_pixmap = QPixmap(img)
        self.button.setPixmap(img_pixmap)
        layout3.addWidget(self.button)
        PageLayout.addLayout(layout3)
        self.connect(self.button, SIGNAL("released()"), self.buttonClicked)

        layout8 = QHBoxLayout(None,0,6,"layout8")
        spacer4 = QSpacerItem(70,24,QSizePolicy.Expanding,QSizePolicy.Minimum)
        layout8.addItem(spacer4)

        self.text_graphColor = QLabel(self,"text_graphColor")
        self.text_graphColor.setSizePolicy(QSizePolicy(QSizePolicy.Minimum,QSizePolicy.Fixed,0,0,self.text_graphColor.sizePolicy().hasHeightForWidth()))
        self.text_graphColor.setMinimumSize(QSize(90,24))
        self.text_graphColor.setMaximumSize(QSize(32767,24))
        layout8.addWidget(self.text_graphColor)

        self.graphColor = conf["cpu_graphColor"]
        self.graphColor = QColor(self.graphColor[0], self.graphColor[1], self.graphColor[2])
        self.pixmap_graphColor = QPixmap(60,14,-1)
        self.pixmap_graphColor.fill(self.graphColor)
        
        self.button_graphColor = QPushButton(self,"button_graphColor")
        self.button_graphColor.setMinimumSize(QSize(70,24))
        self.button_graphColor.setPixmap(self.pixmap_graphColor)
        self.connect(self.button_graphColor, SIGNAL("released()"), self.button_graphColorClicked)
        layout8.addWidget(self.button_graphColor)
        spacer5 = QSpacerItem(70,24,QSizePolicy.Expanding,QSizePolicy.Minimum)
        layout8.addItem(spacer5)
        PageLayout.addLayout(layout8)
        spacer2 = QSpacerItem(380,140,QSizePolicy.Minimum,QSizePolicy.Expanding)
        PageLayout.addItem(spacer2)

        self.languageChange()

        self.resize(QSize(400,350).expandedTo(self.minimumSizeHint()))
        self.clearWState(Qt.WState_Polished)

    def buttonClicked(self):
        acDir = QFileDialog.getOpenFileName("/proc/acpi/thermal_zone", "temperature", self, "ACDir", 'Select your "temperature" file')
        self.lineEdit.setText(acDir)
    
    def button_graphColorClicked(self):
        self.graphColor = QColorDialog.getColor(self.graphColor, self, "Choose graph color")
        self.pixmap_graphColor.fill(self.graphColor)
        self.button_graphColor.setPixmap(self.pixmap_graphColor)
    
    def buildParam(self):
        self.param = {}
        self.param["cpu_tempFile"] = str(self.lineEdit.text())
        self.param["cpu_interval"] = self.spinBox.value()
        self.param["cpu_graphColor"] = [self.graphColor.red(), self.graphColor.green(), self.graphColor.blue()]

    def languageChange(self):
        self.setCaption(self.__tr("cpu_mem"))
        self.title.setText(self.__tr("CPU and Memory"))
        self.label0.setText(self.__tr("Memory and cpu frequency update interval (sec) :"))
        self.label1.setText(self.__tr("Path to \"temperature\" file<br>(default: \"/proc/acpi/thermal_zone/THRM/temperature\") :"))
        self.button.setText(QString.null)
        self.button.setAccel(QString.null)
        self.text_graphColor.setText(self.__tr("Graph color :"))
        self.button_graphColor.setText(QString.null)
        self.button_graphColor.setAccel(QString.null)


    def __tr(self,s,c = None):
        return qApp.translate("Page",s,c)
