# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'partitions.ui'
#
# Created: mer avr 12 17:55:37 2006
#      by: The PyQt User Interface Compiler (pyuic) 3.14.1
#
# WARNING! All changes made in this file will be lost!


from qt import *

class PartitionBox(QGroupBox):
    def __init__(self,parent, x, y, title, name, mountpoint, enabled):
        QGroupBox.__init__(self,parent)
        self.setTitle(title)
        self.setMinimumSize(QSize(195,67))

        if not(enabled):
            self.setEnabled(False)

        self.setGeometry(QRect(x,y,195,67))
        self.setMinimumSize(QSize(195,67))
        self.setMaximumSize(QSize(32767,67))

        self.labelName = QLabel(self,"labelName")
        self.labelName.setGeometry(QRect(5,11,80,24))
        self.labelName.setMinimumSize(QSize(80,24))
        self.labelName.setMaximumSize(QSize(80,24))

        self.labelMountpoint = QLabel(self,"labelMountpoint")
        self.labelMountpoint.setGeometry(QRect(5,38,80,24))
        self.labelMountpoint.setMinimumSize(QSize(80,24))
        self.labelMountpoint.setMaximumSize(QSize(80,24))

        self.lineName = QLineEdit(self,"lineName")
        self.lineName.setGeometry(QRect(90,11,100,24))
        self.lineName.setMinimumSize(QSize(100,24))
        self.lineName.setMaximumSize(QSize(32767,24))
        self.lineName.setText(name)

        self.lineMountpoint = QLineEdit(self,"lineMountpoint")
        self.lineMountpoint.setGeometry(QRect(90,38,100,24))
        self.lineMountpoint.setMinimumSize(QSize(100,24))
        self.lineMountpoint.setMaximumSize(QSize(32767,24))
        self.lineMountpoint.setText(mountpoint)

        self.languageChange()

        self.resize(QSize(195,67).expandedTo(self.minimumSizeHint()))
        self.clearWState(Qt.WState_Polished)


    def languageChange(self):
        self.labelName.setText(self.__tr("Name :"))
        self.labelMountpoint.setText(self.__tr("Mountpoint :"))


    def __tr(self,s,c = None):
        return qApp.translate("Form2",s,c)

class Page(QWidget):
    def __init__(self, parent, conf):
        QWidget.__init__(self,parent)

        self.setMinimumSize(QSize(400,350))


        self.title = QLabel(self,"title")
        self.title.setGeometry(QRect(0,0,400,30))
        self.title.setSizePolicy(QSizePolicy(QSizePolicy.Expanding,QSizePolicy.Fixed,0,0,self.title.sizePolicy().hasHeightForWidth()))
        self.title.setMinimumSize(QSize(150,30))
        title_font = QFont(self.title.font())
        title_font.setPointSize(14)
        self.title.setFont(title_font)
        
        self.checkBox = QCheckBox(self,"checkBox")
        self.checkBox.setGeometry(QRect(0,30,400,20))
        self.checkBox.setChecked(conf["partition_showFreeSpace"])
        
        self.textLabel2 = QLabel(self,"textLabel2")
        self.textLabel2.setGeometry(QRect(0,52,150,20))

        self.textLabel3 = QLabel(self,"textLabel3")
        self.textLabel3.setGeometry(QRect(377,52,20,20))
        self.textLabel3.setFrameShape(QLabel.LineEditPanel)
        self.textLabel3.setAlignment(QLabel.AlignCenter)

        self.partition_list = conf["partition_list"]
        lenght = len(self.partition_list) / 2
        
        self.slider1 = QSlider(1,8,1,lenght,Qt.Horizontal,self)
        self.slider1.setGeometry(QRect(160,56,190,20))
        self.textLabel3.setNum(lenght)

        self.lineEdit_list = []
        x = 0
        y = 74
        for i in range(8):
            y = 74 + ( i / 2 ) * 70
            if ( i < lenght ):
                name = self.partition_list[2*i]
                mountpoint = self.partition_list[2*i+1]
                enabled = True
            else:
                name = ""
                mountpoint = ""
                enabled = False
            self.lineEdit_list.append(PartitionBox(self,x,y,"Partition " + str(i+1), name, mountpoint, enabled))
            if ( x == 0 ):
                x = 203
            elif ( x == 203 ):
                x = 0

        self.languageChange()

        self.resize(QSize(400,350).expandedTo(self.minimumSizeHint()))
        self.clearWState(Qt.WState_Polished)

        self.connect(self.slider1,SIGNAL("valueChanged(int)"),self.textLabel3.setNum)
        self.connect(self.slider1, SIGNAL("valueChanged(int)"), self.updateLineEdits)

    def updateLineEdits(self, arg):
        self.lineEdit_list[arg - 1].setEnabled(True)
        if ( arg < 8 ):
            self.lineEdit_list[arg].setEnabled(False)

    def buildParam(self):
        partition_list = []
        for i in range(self.slider1.value()):
            partition_list.append(str(self.lineEdit_list[i].lineName.text()))
            partition_list.append(str(self.lineEdit_list[i].lineMountpoint.text()))
        self.param = {"partition_list" : partition_list,
                      "partition_showFreeSpace" : self.checkBox.isChecked()}

    def languageChange(self):
        self.setCaption(self.__tr("partitions"))
        self.title.setText(self.__tr("Partitions"))
        self.checkBox.setText(self.__tr("Display free space instead of used space"))
        self.textLabel2.setText(self.__tr("Number of partitions :"))


    def __tr(self,s,c = None):
        return qApp.translate("PartitionsUI",s,c)
