# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'network.ui'
#
# Created: mer avr 12 17:14:32 2006
#      by: The PyQt User Interface Compiler (pyuic) 3.14.1
#
# WARNING! All changes made in this file will be lost!


from qt import *

class NetworkBox(QGroupBox):
    def __init__(self,parent = None,name = None,iface_list=[]):
        QGroupBox.__init__(self,parent,name)

        if not name:
            self.setName("NetworkBox")

        self.setMinimumSize(QSize(380,127))

        self.setGeometry(QRect(0,0,380,127))
        self.setColumnLayout(0,Qt.Vertical)
        self.layout().setSpacing(3)
        self.layout().setMargin(5)
        group1Layout = QGridLayout(self.layout())
        group1Layout.setAlignment(Qt.AlignTop)

        self.spinDownload = QSpinBox(1,100000,1,self)
        self.spinDownload.setMinimumSize(QSize(50,24))
        self.spinDownload.setMaximumSize(QSize(100,24))

        group1Layout.addWidget(self.spinDownload,2,1)

        self.spinUpload = QSpinBox(1,100000,1,self)
        self.spinUpload.setMinimumSize(QSize(50,24))
        self.spinUpload.setMaximumSize(QSize(100,24))

        group1Layout.addWidget(self.spinUpload,3,1)

        self.labelUpload = QLabel(self,"labelUpload")
        self.labelUpload.setSizePolicy(QSizePolicy(QSizePolicy.Expanding,QSizePolicy.Preferred,0,0,self.labelUpload.sizePolicy().hasHeightForWidth()))
        self.labelUpload.setMinimumSize(QSize(110,24))
        self.labelUpload.setMaximumSize(QSize(32767,24))

        group1Layout.addWidget(self.labelUpload,3,0)

        self.labelDownload = QLabel(self,"labelDownload")
        self.labelDownload.setSizePolicy(QSizePolicy(QSizePolicy.Expanding,QSizePolicy.Preferred,0,0,self.labelDownload.sizePolicy().hasHeightForWidth()))
        self.labelDownload.setMinimumSize(QSize(110,24))
        self.labelDownload.setMaximumSize(QSize(32767,24))

        group1Layout.addWidget(self.labelDownload,2,0)

        self.labelMaximum = QLabel(self,"labelMaximum")
        self.labelMaximum.setMinimumSize(QSize(110,24))
        self.labelMaximum.setMaximumSize(QSize(32767,24))

        group1Layout.addMultiCellWidget(self.labelMaximum,1,1,0,1)

        self.labelName = QLabel(self,"labelName")
        self.labelName.setMinimumSize(QSize(110,24))
        self.labelName.setMaximumSize(QSize(110,24))

        group1Layout.addWidget(self.labelName,0,0)

        self.lineName = QLineEdit(self,"lineName")
        self.lineName.setMinimumSize(QSize(60,24))
        self.lineName.setMaximumSize(QSize(32767,24))

        group1Layout.addWidget(self.lineName,0,1)

        self.languageChange()

        self.resize(QSize(380,127).expandedTo(self.minimumSizeHint()))
        self.clearWState(Qt.WState_Polished)
        
        self.lineName.setText(iface_list[0])
        self.spinDownload.setValue(iface_list[1])
        self.spinUpload.setValue(iface_list[2])


    def languageChange(self):
        self.setCaption(self.__tr("network_box"))
        self.setTitle(self.__tr("title"))
        self.labelUpload.setText(self.__tr("Upload :"))
        self.labelDownload.setText(self.__tr("Download :"))
        self.labelMaximum.setText(self.__tr("Maximum speeds in kB/s :"))
        self.labelName.setText(self.__tr("Interface name :"))


    def __tr(self,s,c = None):
        return qApp.translate("NetworkBox",s,c)

class Page(QWidget):
    def __init__(self, parent, conf):
        QWidget.__init__(self,parent)

        self.setName("PartitionsUI")
        
        self.net_list = conf["net_list"]
        lenght = len(self.net_list)
        if ( lenght == 0 ):
            list_group1 =["", 1, 1]
            list_group2 =["", 1, 1]
        elif ( lenght == 3 ):
            list_group1 =self.net_list
            list_group2 =["", 1, 1]
        elif ( lenght == 6 ):
            list_group1 =self.net_list[0:3]
            list_group2 =self.net_list[3:6]

        self.setMinimumSize(QSize(400,350))

        PartitionsUILayout = QVBoxLayout(self,0,3,"PartitionsUILayout")

        self.title = QLabel(self,"title")
        self.title.setSizePolicy(QSizePolicy(QSizePolicy.Expanding,QSizePolicy.Fixed,0,0,self.title.sizePolicy().hasHeightForWidth()))
        self.title.setMinimumSize(QSize(150,30))
        title_font = QFont(self.title.font())
        title_font.setPointSize(14)
        self.title.setFont(title_font)
        PartitionsUILayout.addWidget(self.title)

        layout2 = QHBoxLayout(None,0,6,"layout2")

        self.label = QLabel(self,"label")
        self.label.setSizePolicy(QSizePolicy(QSizePolicy.Expanding,QSizePolicy.Preferred,0,0,self.label.sizePolicy().hasHeightForWidth()))
        self.label.setMinimumSize(QSize(240,24))
        self.label.setMaximumSize(QSize(32767,24))
        layout2.addWidget(self.label)

        self.spinBox = QSpinBox(1,3600,1,self)
        self.spinBox.setMinimumSize(QSize(50,24))
        self.spinBox.setMaximumSize(QSize(100,24))
        layout2.addWidget(self.spinBox)
        PartitionsUILayout.addLayout(layout2)

        self.group1 = NetworkBox(self, "Interface 1", list_group1)
        self.group1.setSizePolicy(QSizePolicy(QSizePolicy.Expanding,QSizePolicy.Fixed,0,0,self.group1.sizePolicy().hasHeightForWidth()))
        self.group1.setMinimumSize(QSize(380,127))
        self.group1.setMaximumSize(QSize(32767,127))
        PartitionsUILayout.addWidget(self.group1)

        self.check = QCheckBox(self,"check")
        self.check.setMinimumSize(QSize(200,24))
        self.check.setMaximumSize(QSize(32767,24))
        PartitionsUILayout.addWidget(self.check)

        self.group2 = NetworkBox(self, "Interface 2", list_group2)
        self.group2.setSizePolicy(QSizePolicy(QSizePolicy.Expanding,QSizePolicy.Fixed,0,0,self.group2.sizePolicy().hasHeightForWidth()))
        self.group2.setMinimumSize(QSize(380,127))
        self.group2.setMaximumSize(QSize(32767,127))
        PartitionsUILayout.addWidget(self.group2)
        spacer2 = QSpacerItem(380,1,QSizePolicy.Minimum,QSizePolicy.Expanding)
        PartitionsUILayout.addItem(spacer2)

        self.languageChange()

        self.resize(QSize(400,350).expandedTo(self.minimumSizeHint()))
        self.clearWState(Qt.WState_Polished)
        
        self.spinBox.setValue(conf["net_interval"]/60)
        if ( lenght <= 3 ):
            self.group2.setEnabled(False)
        elif ( lenght == 6 ):
            self.check.setChecked(True)
        self.connect(self.check, SIGNAL("toggled(bool)"), self.group2, SLOT("setEnabled(bool)"))

    def languageChange(self):
        self.setCaption(self.__tr("partitions"))
        self.title.setText(self.__tr("Network"))
        self.label.setText(self.__tr("Connection checking interval (min) :"))
        self.group1.setTitle(self.__tr("Interface 1"))
        self.check.setText(self.__tr("E&nable second interface"))
        self.check.setAccel(self.__tr("Alt+N"))
        self.group2.setTitle(self.__tr("Interface 2"))


    def __tr(self,s,c = None):
        return qApp.translate("PartitionsUI",s,c)
    
    def buildParam(self):
        self.param = {}
        net_interval = self.spinBox.value() * 60
        net_list = [str(self.group1.lineName.text()), self.group1.spinDownload.value(), self.group1.spinUpload.value()]
        if ( self.check.isChecked() ):
            net_list.append(str(self.group2.lineName.text()))
            net_list.append(self.group2.spinDownload.value())
            net_list.append(self.group2.spinUpload.value())
        self.param["net_interval"] = net_interval
        self.param["net_list"] = net_list
